SDK4.0 This document shows Ameba SDK 4.0 APIs

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rtw_bss_info_t Struct Reference
Ameba SDK » WLAN » NIC

The structure is used to describe the bss info of the network.
It include the version, BSSID, beacon_period, capability, SSID, channel, atm_window, dtim_period, RSSI e.g. More...

`#include <wifi_structures.h>`

## Data Fields
unsigned int | version
unsigned int | length
rtw_mac_t | BSSID
unsigned short | beacon_period
unsigned short | capability
unsigned char | SSID_len
unsigned char | SSID [32]
unsigned char | channel
unsigned short | atim_window
unsigned char | dtim_period
signed short | RSSI
unsigned char | n_cap
unsigned int | nbss_cap
unsigned char | basic_mcs [MCSSET_LEN]
unsigned short | ie_offset
unsigned int | ie_length

## Detailed Description

The structure is used to describe the bss info of the network.
It include the version, BSSID, beacon_period, capability, SSID, channel, atm_window, dtim_period, RSSI e.g.

The documentation for this struct was generated from the following file:

- wifi_structures.h